EDIT - bug #7379

right click menu of accepted taxa should not show "change to"
04/27/2018 10:44 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version:

Description

im Rechte-Maus Menu des Nameeditors stimmen gerade ein paar Dinge nicht.

1) Taxa: das Change To Menl wird angezeigt, mit ausgegrauten eintrdgen. Das sollte hier aber gar nicht erscheinen (das hatte
Walter auch schon mal angemerkt, gibt es dazu ein Ticket?)

2) Synonyme: im New Men( werden ausgegraut ,Heterotypic Synonym“ und ,Homotypic Synonym* angezeigt. Die kénnten auch
lieber ganz weggelassen werden, insbesondere da es darunter noch den aktiven Eintrag ,Synonym in Homotypical Group” gibt, der
sich von ,Homotypic Synonym*“ nicht wirklich unterscheidet.

Auch der ,Misapplication” eintrag sollte mdglichst ausgeblendet werden.

Bei Change To sollte der ,Synonym* Eintrag geléscht werden

Associated revisions

Revision €9f9f442 - 04/27/2018 11:02 AM - Katja Luther

ref #7379: disable change to menu item for accepted taxa in name editor

Revision 74b82668 - 04/27/2018 02:04 PM - Katja Luther

fix name editor menu for synonyms and misapplications

History

#1 - 04/27/2018 11:06 AM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller

- Priority changed from New to Highest

please review

#2 - 04/27/2018 11:41 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.0

#3 - 04/27/2018 01:18 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Issues for 2) are not yet implemented.

#4 - 04/27/2018 01:18 PM - Andreas Miiller
- % Done changed from 0 to 30

#5 - 05/03/2018 11:37 AM - Katja Luther

issues for 2) are done see Revision 74b82668

#6 - 05/03/2018 11:38 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller
- % Done changed from 30 to 80

#7 - 05/06/2018 01:12 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
The menu entry seems to be correct now.
However, it often happens that the menu entry for the accepted taxon disappears completely.
| could reproduce this by
® opening a taxon with a heterotypic synonym.
e add a synonym to the group of the heterotypic synonym
e go to accepted taxon => new menu appears
| don't know if this is related to this ticket. If not please open a new ticket if not exists)
#8 - 05/16/2018 03:17 PM - Katja Luther
- Status changed from Feedback to Closed
Andreas Muller wrote:

The menu entry seems to be correct now.

However, it often happens that the menu entry for the accepted taxon disappears completely.

| could reproduce this by
® opening a taxon with a heterotypic synonym.
e add a synonym to the group of the heterotypic synonym
¢ go to accepted taxon => new menu appears

| don't know if this is related to this ticket. If not please open a new ticket if not exists)

created a new ticket for this -> #7424 and close this ticket.
https://dev.e-taxonomy.eu/redmine/issues/7424
